Skip to main content
POST
Publish an Automation's draft

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

checkfu-version
enum<string>
required
Available options:
2026-08-31

Path Parameters

id
string
required
Pattern: ^auto_[0-9a-f]{32}$

Body

application/json
expected_draft_revision
integer

Response

AutomationPublication

type
enum<string>
required
Available options:
automation_publication
automation
object
required
version
integer
required
live
boolean
required
summary
string[]
required
webhook_secret
string
Pattern: ^whsec_[A-Za-z0-9_-]{43}$